Groovy 1.7.0

## org.codehaus.groovy.binding
Class BindPathSnooper

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.binding.BindPathSnooper

    class BindPathSnooper
    extends GroovyObjectSupport

Field Summary
`static DeadEndObject` | `DEAD_END`
`Map` | `fields`

Constructor Summary
`BindPathSnooper()`

Method Summary
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### DEAD_END

    static final DeadEndObject DEAD_END

### fields

    Map fields

Constructor Detail

### BindPathSnooper

    BindPathSnooper()

Method Detail

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object args)

Copyright © 2003-2009 The Codehaus. All rights reserved.